package pref;
import java.sql.*;

class SampleDb030{

	private Connection con = null;
	private Statement stmt = null;
	private ResultSet rs = null;

	public void open() {
		String url = "jdbc:odbc:SampleDB030";
		String user = "";
		String pass = "";
		try {
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
			con = DriverManager.getConnection(url,user,pass);
			stmt = con.createStatement();
		} catch (Exception e) {
			e.printStackTrace();
		}	
	}

	public void close() {
		try {
			if (rs != null){
				rs.close();
			}
			if (stmt != null){
				stmt.close();
			}
			if (con != null){
				con.close();
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

	public ResultSet executeQuery(String sql) {
		if (stmt != null){
			try {
				rs = stmt.executeQuery(sql);
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		return rs;
	}

	public int executeUpdate(String sql) throws BadSqlException {
		int num = 0;
		if(stmt != null){
			try {
				con.setAutoCommit(false);
				num = stmt.executeUpdate(sql);
				con.commit();
			} catch (SQLException e) {
				try {
					con.rollback();
					e.printStackTrace();
					throw new BadSqlException();
				} catch (SQLException e1) {
					e1.printStackTrace();
				}
			}
		}
		return num;
	}

}


class BadSqlException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
}